47

I use Ubuntu 18.04 and Firefox 60.0 (linux beginner!)

I just installed the flash player, but the only videos that are displayed in my browser are the ones on youtube. facebook and any other streaming-services can not play videos.

do i need to install/enable html5 somehow?

86

If those streaming services use DRM, you must enable DRM in Firefox's settings: Preferences -> General -> Play DRM-controlled content You might also have to install package libavcodec-extra to get the codecs:

sudo apt install libavcodec-extra

9
  • 2
    works on Ubuntu 18.04.2 with Firefox 62, thanks. Oct 2 '18 at 18:36
  • 2
    Woks on Ubuntu 16.04LTS. Thanks
    – AAI
    Mar 24 '19 at 23:22
  • 24
    Works on 19.04, but how the hell is my grandma supposed to figure this out? We gotta do better than this...
    – Jack M
    Jun 20 '19 at 7:24
  • 3
    didnt fix this in the latest version of ubuntu
    – Vikranth
    Aug 26 '19 at 17:31
  • 6
    Used this command sudo apt install libavcodec-extra58 libavcodec-extra in ubuntu-20.04. Otherwise it threw unmet dependencies error.
    – theB
    Jul 23 '20 at 10:28

Not the answer you're looking for? Browse other questions tagged or ask your own question.